<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DocumentResult_V4 StructType
 * @subpackage Structs
 */
class DocumentResult_V4 extends DocumentResult_V3
{
    /**
     * The Product
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\ProductIdentifier
     */
    public $Product;
    /**
     * Constructor method for DocumentResult_V4
     * @uses DocumentResult_V4::setProduct()
     * @param \StructType\ProductIdentifier $product
     */
    public function __construct(\StructType\ProductIdentifier $product = null)
    {
        $this
            ->setProduct($product);
    }
    /**
     * Get Product value
     * @return \StructType\ProductIdentifier|null
     */
    public function getProduct()
    {
        return $this->Product;
    }
    /**
     * Set Product value
     * @param \StructType\ProductIdentifier $product
     * @return \StructType\DocumentResult_V4
     */
    public function setProduct(\StructType\ProductIdentifier $product = null)
    {
        $this->Product = $product;
        return $this;
    }
}
